[arch-commits] Commit in python-oslo-config/repos (2 files)

Felix Yan felixonmars at gemini.archlinux.org
Tue Nov 30 21:13:36 UTC 2021


    Date: Tuesday, November 30, 2021 @ 21:13:35
  Author: felixonmars
Revision: 1058883

archrelease: copy trunk to community-staging-any

Added:
  python-oslo-config/repos/community-staging-any/
  python-oslo-config/repos/community-staging-any/PKGBUILD
    (from rev 1058881, python-oslo-config/trunk/PKGBUILD)

----------+
 PKGBUILD |   37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

Copied: python-oslo-config/repos/community-staging-any/PKGBUILD (from rev 1058881, python-oslo-config/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2021-11-30 21:13:35 UTC (rev 1058883)
@@ -0,0 +1,37 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgname=python-oslo-config
+pkgver=8.7.1
+pkgrel=2
+pkgdesc="parsing command line arguments and .ini style configuration files"
+arch=('any')
+url="https://pypi.python.org/pypi/oslo.config/$pkgver"
+license=('Apache')
+depends=('python-six' 'python-netaddr' 'python-stevedore' 'python-debtcollector'
+         'python-oslo-i18n' 'python-rfc3986' 'python-yaml')
+makedepends=('python-setuptools')
+checkdepends=('python-oslotest' 'python-sphinx' 'python-requests-mock' 'python-oslo-log')
+options=('!emptydirs')
+source=("https://github.com/openstack/oslo.config/archive/$pkgver/$pkgname-$pkgver.tar.gz")
+sha512sums=('99929af351d65cbee39a15f735f5ed20565a90cdeca939af53adadc59279e03d609e338c91dc64f546c5471d19f6edddf864dcfe0f74b4357e54241f06a406f7')
+
+export PBR_VERSION=$pkgver
+
+build() {
+  cd oslo.config-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd oslo.config-$pkgver
+  # https://bugs.launchpad.net/oslo.config/+bug/1908934
+  stestr run || echo "Tests failed"
+}
+
+package() {
+  cd oslo.config-$pkgver
+  python setup.py install --root="$pkgdir/" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list